package capitulo04.bloque01;

import static capitulo04.utils.Utils.generarNumAleatorio;

public class Ejercicio05 {
    public static void main(String[] args) {
        int nums150[] = new int[150];
        int sumaPares = 0, sumaImpares = 0;

        for (int i = 0; i < nums150.length; i++) {
            nums150[i] = (int) Math.round(generarNumAleatorio(100));
        }

        for (int numero : nums150) {
            System.out.print(numero + " ");
            if ((numero % 2) == 0) sumaPares += numero;
            else sumaImpares += numero;
        }
        System.out.println("\nSuma de números pares: " + sumaPares);
        System.out.println("Suma de números impares: " + sumaImpares);
    }
}
